Bug 1550316 - Synchronize openvswitch 2.9 to mirror fastdatapath repo
Summary: Synchronize openvswitch 2.9 to mirror fastdatapath repo
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Release
Version: 3.9.0
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: 3.9.0
Assignee: Justin Pierce
QA Contact: Mike Fiedler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-01 01:30 UTC by Mike Fiedler
Modified: 2018-06-27 18:02 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2018-06-27 18:01:32 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2013 None None None 2018-06-27 18:02:05 UTC

Description Mike Fiedler 2018-03-01 01:30:19 UTC
Description of problem:

Please synchronize openvswitch-2.9 to https://mirror.openshift.com/enterprise/rhel/rhel-7-fast-datapath-htb-rpms/

This is required for final OCP 3.9 performance testing.

Comment 1 Justin Pierce 2018-03-01 03:04:26 UTC
mifiedle@redhat.com we don't actually control the upstream content of these repositories, we only sync them to the mirror. However, 2.9.0 is available in the datapath staging repo (not htb). I've changed our job to sync the staging repo instead of the prod repo: https://mirror.openshift.com/enterprise/rhel/rhel-7-fast-datapath-rpms/

Hopefully that will work for you.

Comment 2 Walid A. 2018-03-01 19:43:03 UTC
jupierce@redhat.com we are already installing the https://mirror.openshift.com/enterprise/rhel/rhel-7-fast-datapath-rpms/ repo, but somehow yum update is not able to detect the newer version 2.9.0-1.el7fdp even after yum clean all.  The version that was previously installed was "1:2.8.0-4.el7fdb" from rhel7-fast-datapath-htb.  I am not sure if the "1:" prefix in that package version is causing yum update not detect the newer 2.9 version.  yum list --showduplicates can see the newer 2.9.0-1.el7fdp package from rhel-7-fast-datapath-rpms so this repo is accessible (see below).  The only alternative we have on a pre-built large env is to disable the rhel7-fast-datapath-htb repo, yum remove the currently installed openvswitch-1:2.8.0-4.el7fdb pkg and yum install the openvswitch-2.9.0 pkg.  Do you have a better suggestion ?

On a fresh AMI we can install the specific openswitch-2.9.0 pkg before installing the atomic-openshift-* pkgs only if we explicitly specify the package version version "openvswitch-2.9.0" if we don't want to disable the rhel7-fast-datapath-htb repo.

# yum list openvswitch.x86_64
Loaded plugins: amazon-id, rhui-lb, search-disabled-repos
Installed Packages
openvswitch.x86_64                                             1:2.8.0-4.el7fdb                                             @rhel7-fast-datapath-htb

# yum list openvswitch.x86_64 --showduplicates
Loaded plugins: amazon-id, rhui-lb, search-disabled-repos
Installed Packages
openvswitch.x86_64                                     1:2.8.0-4.el7fdb                                                  @rhel7-fast-datapath-htb   
Available Packages
openvswitch.x86_64                                     2.0.0-7.el7                                                       rhel-7-optional-next       
openvswitch.x86_64                                     2.4.1-1.git20160628.el7fdp                                        rhel-7-server-fast-datapath
openvswitch.x86_64                                     2.4.1-1.git20160628.el7fdp                                        rhel7-fast-datapath        
openvswitch.x86_64                                     2.5.0-14.git20160727.el7fdp                                       rhel-7-server-fast-datapath
openvswitch.x86_64                                     2.5.0-14.git20160727.el7fdp                                       rhel7-fast-datapath        
openvswitch.x86_64                                     2.5.0-22.git20160727.el7fdp                                       rhel-7-server-fast-datapath
openvswitch.x86_64                                     2.5.0-22.git20160727.el7fdp                                       rhel7-fast-datapath        
openvswitch.x86_64                                     2.6.1-10.git20161206.el7fdp                                       rhel-7-server-fast-datapath
openvswitch.x86_64                                     2.6.1-10.git20161206.el7fdp                                       rhel7-fast-datapath        
openvswitch.x86_64                                     2.7.2-1.git20170719.el7fdp                                        rhel-7-server-fast-datapath
openvswitch.x86_64                                     2.7.2-1.git20170719.el7fdp                                        rhel7-fast-datapath        
openvswitch.x86_64                                     2.7.3-2.git20171010.el7fdp                                        rhel-7-server-fast-datapath
openvswitch.x86_64                                     2.7.3-2.git20171010.el7fdp                                        rhel7-fast-datapath        
openvswitch.x86_64                                     2.7.3-3.git20180112.el7fdp                                        rhel-7-server-fast-datapath
openvswitch.x86_64                                     2.7.3-3.git20180112.el7fdp                                        rhel7-fast-datapath        
openvswitch.x86_64                                     2.9.0-1.el7fdp                                                    rhel-7-server-fast-datapath
openvswitch.x86_64                                     2.9.0-1.el7fdp                                                    rhel7-fast-datapath        
openvswitch.x86_64                                     1:2.5.0-5.git20160628.el7fdb                                      rhel7-fast-datapath-htb    
openvswitch.x86_64                                     1:2.5.0-14.git20160727.el7fdb                                     rhel7-fast-datapath-htb    
openvswitch.x86_64                                     1:2.6.1-3.git20161206.el7fdb                                      rhel7-fast-datapath-htb    
openvswitch.x86_64                                     1:2.6.1-10.git20161206.el7fdb                                     rhel7-fast-datapath-htb    
openvswitch.x86_64                                     1:2.7.0-8.git20170530.el7fdb                                      rhel7-fast-datapath-htb    
openvswitch.x86_64                                     1:2.8.0-4.el7fdb                                                  rhel7-fast-datapath-htb    


# yum update openvswitch.x86_64
Loaded plugins: amazon-id, rhui-lb, search-disabled-repos
No packages marked for update


# yum update openvswitch.x86_64 --disablerepo=* --enablerepo=rhel7-fast-datapath
Loaded plugins: amazon-id, rhui-lb, search-disabled-repos
No packages marked for update
#

Comment 3 Justin Pierce 2018-03-01 22:35:11 UTC
I've had to reverse this course of action. (pushing to https://mirror.openshift.com/enterprise/rhel/rhel-7-fast-datapath-rpms/). 2.9.0 has a bug: https://bugzilla.redhat.com/show_bug.cgi?id=1549673 which started impacting clusters using this repository. 

I'm now synching to https://mirror.openshift.com/enterprise/rhel/rhel-7-fast-datapath-stage-rpms/

Comment 4 Mike Fiedler 2018-03-05 15:56:06 UTC
verified, new stging repo exists

Comment 6 errata-xmlrpc 2018-06-27 18:01:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2013


Note You need to log in before you can comment on or make changes to this bug.